gnutls_global_set_audit_log_function(3)

NAME
gnutls_global_set_audit_log_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_global_set_audit_log_function(gnutls_audit_log_func log_func);

ARGUMENTS

gnutls_audit_log_func log_func
    it is the audit log function

DESCRIPTION
This is the function where you set the logging function gnutls is going to use. This is different from gnutls_global_set_log_function() because it will report the session of the event if any. Note that that session might be null if there is no corresponding TLS session. gnutls_audit_log_func is of the form, void (*gnutls_audit_log_func)( gnutls_session_t, int level, const char*);

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.